classification
Title: Rename _winreg to winreg
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, georg.brandl
Priority: release blocker Keywords:

Created on 2008-05-16 04:52 by brett.cannon, last changed 2008-05-25 07:57 by georg.brandl. This issue is now closed.

Messages (3)
msg66903 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 04:52
The _winreg module needs to be renamed winreg for PEP 3108.
msg67092 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 04:22
The rename is now mostly a 3.0 thing.
msg67325 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-25 07:57
Renamed in 3k in r63610, added note in 2.6 docs in r63611, added fixer
entry in r63612.
History
Date User Action Args
2008-05-26 00:20:17brett.cannonunlinkissue2775 dependencies
2008-05-25 07:57:14georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg67325
nosy: + georg.brandl
2008-05-20 04:22:44brett.cannonsetmessages: + msg67092
versions: - Python 2.6
2008-05-16 04:52:18brett.cannonlinkissue2775 dependencies
2008-05-16 04:52:06brett.cannoncreate